

global function TimeDisplay_Init


void function TimeDisplay_Init()
{
	thread UpdateTimeDisplay()
}

#if CLIENT

var ClockRui = null
int TimeZoneOffset = 0
int OffsetTime = 00
int TimeRed = 0 
int TimeBlue = 0 
int TimeGreen = 0 
float TimeX = 0
float TimeY = 0
float TimeSize = 0.0
float TimeOpacity = 0.0
string CurrentHalfofDay = " AM"
string MapName = ""


void function UpdateTimeDisplay(){
	WaitFrame()
	MapName = GetMapName()
	ClockRui = RuiCreate($"ui/cockpit_console_text_top_left.rpak", clGlobal.topoCockpitHudPermanent, RUI_DRAW_COCKPIT, 0)
	RuiSetInt(ClockRui, "maxLines", 1)
	RuiSetInt(ClockRui, "lineNum", 1)
	while(MapName == GetMapName()){
		TimeZoneOffset = (GetConVarInt("TimezoneOffset") + 10)
		table currentTime = GetUnixTimeParts()
		int month = expect int( currentTime.month )
		int day = expect int( currentTime.day )
		int hour = expect int( currentTime.hour)
		int minute = expect int( currentTime.minute)
		TimeOpacity = GetConVarFloat("TimeOpacity")
		TimeSize = GetConVarFloat("TimeSize")
		TimeRed = GetConVarInt("TimeColRed")/255
		TimeBlue = GetConVarInt("TimeColBlue")/255
		TimeGreen = GetConVarInt("TimeColGreen")/255
		TimeX = GetConVarFloat("TimePosX")
		TimeY = GetConVarFloat("TimePosY")		
		RuiSetFloat2(ClockRui, "msgPos", <TimeX, TimeY, 0>)
		RuiSetFloat(ClockRui, "msgFontSize", TimeSize)
		RuiSetFloat(ClockRui, "msgAlpha", TimeOpacity)
		RuiSetFloat(ClockRui, "thicken", 0.0)
		RuiSetFloat3(ClockRui, "msgColor", <TimeRed, TimeGreen, TimeBlue>)
		OffsetTime = (hour + TimeZoneOffset)
		if((GetMapName()) == "mp_lobby"){
				RuiSetString(ClockRui, "msgText", "")
			} else {
			if (OffsetTime < 0){
				OffsetTime = OffsetTime + 24
			}
			if (OffsetTime > 24){
				OffsetTime = OffsetTime - 24
			}
			if (GetConVarInt("TimeMode") == 1){
				if (minute < 10){
					RuiSetString(ClockRui, "msgText", OffsetTime + ":" + "0" + minute)
				} else {
				RuiSetString(ClockRui, "msgText", OffsetTime + ":" + minute)
				}
			} else {
				if (OffsetTime > 11){
						CurrentHalfofDay = " PM"
						OffsetTime = (OffsetTime - 12) 
					} else {
					CurrentHalfofDay = " AM"
				}
				if (minute < 10){
					RuiSetString(ClockRui, "msgText", OffsetTime + ":" + "0" + minute + CurrentHalfofDay)
				} else {
					RuiSetString(ClockRui, "msgText", OffsetTime + ":" + minute + CurrentHalfofDay)
				}
			}
		}
		wait 1
	}
	RuiDestroy(ClockRui)
}

#endif